For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate invoice
          • GETGet invoice
          • PUTUpdate invoice
          • DELDelete invoice
          • GETSend invoice
          • GETGet invoice attachment
          • DELDelete invoice attachment
          • GETGet next invoice number
          • GETList invoices by paypoint
          • GETList invoices by organization
          • GETExport invoices by paypoint
          • GETExport invoices by org
          • GETGet invoice PDF
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay In endpointsInvoices

Get next invoice number

|View as Markdown|Open in Claude|
GET
/Invoice/getNumber/:entry
GET
/api/Invoice/getNumber/:entry
$curl https://api-sandbox.payabli.com/api/Invoice/getNumber/8cfec329267 \
> -H "requestToken: <apiKey>"
1{
2 "isSuccess": true,
3 "responseText": "Success",
4 "responseData": "MyInvoice-114434565s32440"
5}
Retrieves the next available invoice number for a paypoint.
Was this page helpful?
Previous

Delete invoice attachment

Next

List invoices by paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring

If isSuccess = true, this contains the next available invoice number in the format defined by paypoint settings. If isSuccess = false, this contains the reason for the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error